uniform sampler2D color_texture;
uniform sampler2D normal_texture;

void main() {
  float PI = 3.14159265358979323846264;

  // What red is shown left to right?
  //  A) dark to light
  //  B) light to dark
  //  C) dark to light to dark
  //  D) light to dark to light
  vec3 normal = vec3(cos(PI*gl_FragCoord[0]/500.0),
                     0,
                     sin(PI*gl_FragCoord[0]/500.0));
  normal = normalize(normal);

  // changed
  vec3 light_pos = normalize(vec3(1.0, 0.0, 1.0));

  // Calculate the lighting diffuse value
  float diffuse = max(dot(normal, light_pos), 0.0);

  vec3 color = diffuse * vec3(1.0, 0.0, 0.0);

  // Set the output color of our current pixel
  gl_FragColor = vec4(color, 1.0);
}
