uniform sampler2D color_texture;
uniform sampler2D normal_texture;

void main() {
  float PI = 3.14159265358979323846264;

  vec4 n = gl_FragCoord - vec4(250.0, 250.0, 0.0, 1.0);
  float mag = length(gl_FragCoord - vec4(250.0, 250.0, 0.0, 1.0));
  mag = sin(2.0*PI*mag/200.0)/4.0;
  vec3 normal = vec3(n[0]*mag, n[1]*mag, 30.0);
  normal = normalize(normal);

  // Determine where the light is positioned (this can be set however you like)
  vec3 light_pos = normalize(vec3(1.0, 1.0, 1.5));

  // Calculate the lighting diffuse value
  float diffuse = max(dot(normal, light_pos), 0.0);

  vec3 color = diffuse * texture2D(color_texture, gl_TexCoord[0].st).rgb;

  // Set the output color of our current pixel
  gl_FragColor = vec4(color, 1.0);
}
